> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create/Reply tweet v2

> Create a tweet.You must set the login_cookie.You can get the login_cookie from /twitter/user_login_v2.Trial operation price: $0.003 per call. 



## OpenAPI

````yaml POST /twitter/create_tweet_v2
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/create_tweet_v2:
    post:
      description: >-
        Create a tweet.You must set the login_cookie.You can get the
        login_cookie from /twitter/user_login_v2.Trial operation price: $0.003
        per call. 
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - login_cookies
                - tweet_text
                - proxy
              properties:
                login_cookies:
                  type: string
                  description: >-
                    The login cookies of the user.You can get the login_cookie
                    from /twitter/user_login_v2.Must be set
                tweet_text:
                  type: string
                  description: The text of the tweet.Must be set
                reply_to_tweet_id:
                  type: string
                  description: The id of the tweet to reply to.Optional
                attachment_url:
                  type: string
                  description: >-
                    The url of quote
                    tweet.Optional.eg.https://x.com/sama/status/1947640330318156074
                community_id:
                  type: string
                  description: The id of the community to post to.Optional
                is_note_tweet:
                  type: boolean
                  description: >-
                    If this option is set to True, tweets longer than 280
                    characters can be posted (Twitter Premium only).
                media_ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of media IDs (strings) to attach. Optional. Obtain each
                    from /twitter/upload_media_v2.
                quote_tweet_id:
                  type: string
                  description: >-
                    ID of a tweet to quote. Optional. Alternative to
                    attachment_url.
                schedule_for:
                  type: string
                  description: >-
                    Schedule the tweet to be sent at a future time. Optional.
                    Format: ISO-8601 with milliseconds, e.g.
                    2026-01-20T10:00:00.000Z
                proxy:
                  type: string
                  description: >-
                    The proxy to use.Please use high-quality residential proxies
                    and avoid free proxies.Required.Example:
                    http://username:password@ip:port . You can get proxy from:
                    https://www.webshare.io/?referral_code=4e0q1n00a504
      responses:
        '200':
          description: Login response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tweet_id:
                    type: string
                    description: The id of the created tweet.
                  status:
                    type: string
                    description: Status of the request.success or error
                  msg:
                    type: string
                    description: Message of the request.error message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````